Package org.apache.sysds.runtime.transform.decode

# Class DecoderFactory

java.lang.Object
org.apache.sysds.runtime.transform.decode.DecoderFactory

public class DecoderFactory extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DecoderFactory.DecoderType`

## Constructor Summary

Constructors
Constructor
Description
`DecoderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Decoder`
`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)`
`static Decoder`
`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen)`
`static Decoder`
`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)`
`static Decoder`
`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen, int minCol, int maxCol)`
`static Decoder`
`createInstance(int type)`
`static int`
`getDecoderType(Decoder decoder)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecoderFactory

public DecoderFactory()

## Method Details

### createDecoder

public static Decoder createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)

### createDecoder

public static Decoder createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen)

### createDecoder

public static Decoder createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)

### createDecoder

public static Decoder createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen, int minCol, int maxCol)

### getDecoderType

public static int getDecoderType(Decoder decoder)

### createInstance

public static Decoder createInstance(int type)